@echo off
REM Usage: wsadmin arguments
setlocal

call "%~dp0setupCmdLine.bat"

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS

SET CONSOLE_ENCODING=-Dws.output.encoding=console

if NOT %USER_INSTALL_ROOT%.==. goto runcmd
SET USER_INSTALL_ROOT=%WAS_HOME%


@echo on

set was_classpath=%WAS_HOME%/lib/WsSecCheck.jar;%WAS_HOME%

@echo off

:runcmd
"%JAVA_HOME%\bin\java" %CONSOLE_ENCODING% "%CLIENTSOAP%" "%CLIENTSAS%" "-Dcom.ibm.ws.scripting.wsadminprops=%WSADMIN_PROPERTIES%" -Dcom.ibm.ws.management.standalone=true "-Duser.install.root=%USER_INSTALL_ROOT%" "-Dwas.install.root=%WAS_HOME%" "-Dwas.repository.root=%CONFIG_ROOT%" "-Dserver.root=%WAS_HOME%" "-Dlocal.cell=%WAS_CELL%" "-Dlocal.node=%WAS_NODE%" "-Dws.ext.dirs=%WAS_EXT_DIRS%" "-Dcom.ibm.etools.EJBDeploy.debug=true" "-Dcom.ibm.itp.location=%ITP_LOC%" "-Dcom.ibm.CORBA.BootstrapHost=%COMPUTERNAME%" "-classpath" "%WAS_CLASSPATH%;%WAS_HOME%\classes;%WAS_HOME%\lib\wasjmx.jar" com.ibm.wssup.WsSecCheck %1 %2 %3 %4 %5

endlocal


