#!/bin/sh

#!echo "Usage: launchClient [<ear-file> | -help | -?]"

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

NAMING_FACTORY=com.ibm.websphere.naming.WsnInitialContextFactory
ORB_RAS_MGR=-Dcom.ibm.CORBA.RasManager=com.ibm.websphere.ras.WsOrbRasManager 


"$JAVA_HOME/bin/java" \
  -Xbootclasspath/p:"$WAS_BOOTCLASSPATH" \
  "$CLIENTSAS" \
  "$CLIENTSOAP" \
  $ORB_RAS_MGR \
  $USER_INSTALL_PROP \
  -Dwas.install.root="$WAS_HOME" \
  -Dws.ext.dirs="$WAS_EXT_DIRS" \
  -Djava.security.auth.login.config="$WAS_HOME/properties/wsjaas_client.conf" \
  -Dcom.ibm.CORBA.BootstrapHost=$DEFAULTSERVERNAME \
  -Dcom.ibm.CORBA.BootstrapPort=$SERVERPORTNUMBER \
  -Djava.naming.factory.initial=$NAMING_FACTORY \
  -classpath "$WAS_CLASSPATH" com.ibm.ws.bootstrap.WSLauncher \
  com.ibm.wssup.WsSecCheck "$@"

